Page MenuHomePhabricator

Add 'unLink' icon to Wikimedia Design Style Guide and OOUI
Closed, ResolvedPublic

Description

An 'unLink' icon has been identified to be needed in our icon collection.

Please follow the “Process” steps in T135081 to ensure it's available everywhere.

Details

Related Gerrit Patches:
mediawiki/core : masterUpdate OOUI to v0.33.0
oojs/ui : masterCreate unLink icon

Event Timeline

Volker_E created this task.Jun 18 2019, 3:50 PM
Volker_E triaged this task as Normal priority.Jun 19 2019, 4:44 AM
Volker_E moved this task from Backlog to Next-up on the OOUI board.

@iamjessklein If you provide the SVG here (the cleaned-up with closed near-paths) from Ed, I'm happy to put this further in time for next week's release!

Thanks for adding this @Volker_E will do.
cc/ @Esanders

Based on the current template for "un-" icons, "unLink" would look like this:

100%400%

On the grid:

Change 518049 had a related patch set uploaded (by Esanders; owner: Esanders):
[oojs/ui@master] Create unLink icon

https://gerrit.wikimedia.org/r/518049

I still think this gap is unnecessary and problematic:

+1 I would vote for tweaking that @Volker_E

Here's another version that I mocked up, removing some of the visual noise:

More reference (search for "unlink icon"):

Change 518049 merged by jenkins-bot:
[oojs/ui@master] Create unLink icon

https://gerrit.wikimedia.org/r/518049

@Volker_E and I discussed today that we should ship this as it generally has the appropriate look and feel. In a future iteration, we can then address the excess visual noise.

@Esanders 👍to ship.

Esanders closed this task as Resolved.Jun 25 2019, 1:31 PM

Closing this issue as it is merged on OOUI (thanks @Esanders and @Volker_E )

Will make a new ticket for the tweaks that I suggested for clean up.

Volker_E reopened this task as Open.Jun 25 2019, 4:46 PM

Not fully resolved yet, as it's not yet part of Style Guide resources.

Change 519341 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Update OOUI to v0.33.0

https://gerrit.wikimedia.org/r/519341

Change 519341 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.33.0

https://gerrit.wikimedia.org/r/519341

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

This icon has landed in MediaWiki 1.34.0-wmf.13.

Volker_E closed this task as Resolved.Jul 16 2019, 1:14 PM

PR 218 is merged and pushed to DSG server.